View Issue Details

IDProjectCategoryView StatusLast Update
0011932LazarusLazReportpublic2013-10-09 07:30
ReporterStephanoAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.25 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.3 (SVN) 
Summary0011932: Device fonts are not shown in font drop down list
DescriptionIf a printer with built-in fonts (device fonts) is set as default, then LazReport's fonts drop down list should show these fonts, but it does not.

Example of a printer with built-in fonts:
- Dot matrix printers such as Epson FX, LQ, etc...
- Generic text driver (behaves a little bit differently)

I have attached a Win32 test project that shows how to retrieve the device fonts for testing before creating any patch.

I have yet no idea about Linux or other OSes as far as this issue is concerned.
Tagslazreport
Fixed in Revision43185
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017122 assignedJesus Reyes Printer.Fonts returns an empty stringlist 

Activities

2008-08-20 13:56

 

DeviceFontsTest.zip (4,959 bytes)

Edson Lidorio

2013-06-17 22:30

reporter   ~0068367

Has possibility of LazReport support printing on dot matrix printer?

Zeljan Rikalo

2013-06-18 07:21

developer   ~0068371

afaik no.

Issue History

Date Modified Username Field Change
2008-08-20 13:56 Stephano New Issue
2008-08-20 13:56 Stephano File Added: DeviceFontsTest.zip
2008-08-20 13:56 Stephano Widgetset => Win32
2008-08-20 20:42 Jesus Reyes Status new => assigned
2008-08-20 20:42 Jesus Reyes Assigned To => Jesus Reyes
2010-03-15 04:27 Jesus Reyes Tag Attached: lazreport
2010-08-06 19:03 Jesus Reyes Relationship added related to 0017122
2012-02-04 12:17 Zeljan Rikalo LazTarget => 1.2
2013-06-17 22:30 Edson Lidorio Note Added: 0068367
2013-06-18 07:21 Zeljan Rikalo Note Added: 0068371
2013-10-09 07:30 Jesus Reyes Fixed in Revision => 43185
2013-10-09 07:30 Jesus Reyes Status assigned => resolved
2013-10-09 07:30 Jesus Reyes Fixed in Version => 1.3 (SVN)
2013-10-09 07:30 Jesus Reyes Resolution open => fixed
2013-10-09 07:30 Jesus Reyes Target Version => 1.2.0